Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Subtask Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/subtasks/{subtaskId}/completions
https://api.relesysapp.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}/subtasks/{subtaskId}/completions
Get a list of subtask completions for subtask with subtaskId that belongs to a task with taskId in a module with moduleId.

Default sort is by creationDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
subtaskId string / guid The subtask's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"202adb22-22f6-4a58-92fe-15a43910f1b5","userId":"6dd4d46e-7351-46f2-8ef4-361f2fc6de08","departmentId":"e36b62d7-747b-45e0-b43a-2c1c9cee53b5","areaDepartmentId":"9be7a9a5-565a-4c35-b90d-88c8849e3645","creationDateTime":"2026-11-19T20:41:36.7142709+00:00"},{"id":"cb8bed38-2d03-4147-9146-a398bea28b5f","userId":"4d375a6c-54f1-4bb4-b1e6-67ba0bd3a3bf","departmentId":"b18a6b73-2eba-4b62-b922-4e100e72a82e","areaDepartmentId":null,"creationDateTime":"2026-11-18T20:41:36.7142709+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string